summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Ronny Schmatzler2014-06-27 15:23:30 +0200
committer Willy Sudiarto Raharjo2014-06-27 15:23:30 +0200
commit25219a02a91393b4bd812ee4a4ef585c1d1c3d24 (patch)
tree982736aa8d3938acae4ea90ef5181707743c1f90 /development
parenta73ebfb73189a1d791aeb892d85e5bc6f412bee0 (diff)
downloadslackbuilds-25219a02a91393b4bd812ee4a4ef585c1d1c3d24.tar.gz
development/newtonsoft-json: Added (JSON Framework for .NET).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/newtonsoft-json/README1
-rw-r--r--development/newtonsoft-json/newtonsoft-json.SlackBuild115
-rw-r--r--development/newtonsoft-json/newtonsoft-json.info10
-rw-r--r--development/newtonsoft-json/newtonsoft.json.pc.in8
-rw-r--r--development/newtonsoft-json/slack-desc19
5 files changed, 153 insertions, 0 deletions
diff --git a/development/newtonsoft-json/README b/development/newtonsoft-json/README
new file mode 100644
index 0000000000..17e8a1182c
--- /dev/null
+++ b/development/newtonsoft-json/README
@@ -0,0 +1 @@
+Json.NET is a popular high-performance JSON framework for .NET.
diff --git a/development/newtonsoft-json/newtonsoft-json.SlackBuild b/development/newtonsoft-json/newtonsoft-json.SlackBuild
new file mode 100644
index 0000000000..0ca809a82c
--- /dev/null
+++ b/development/newtonsoft-json/newtonsoft-json.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for newtonsoft-json
+# Packager: Ronny Schmatzler
+# http://www.schmatzler.de
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=newtonsoft-json
+VERSION=${VERSION:-6.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Create building directory
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$VERSION.tar.gz
+cd Newtonsoft.Json-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build json
+cd $TMP/Newtonsoft.Json-$VERSION/Src/Newtonsoft.Json
+xbuild Newtonsoft.Json.csproj \
+/property:SignAssembly=true \
+/property:AssemblyOriginatorKeyFile=Dynamic.snk \
+/property:Configuration=Release \
+/property:DefineConstants='SIGNED NET45 TRACE'
+cd bin/Release/Net45
+monodis Newtonsoft.Json.dll --output=Newtonsoft.Json.il
+ilasm /dll /key:../../../Dynamic.snk Newtonsoft.Json.il
+
+
+# Create package
+cd "$TMP/Newtonsoft.Json-$VERSION"
+# Install license doc
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -Dm644 LICENSE.md $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE.md
+cat $CWD/slack-desc > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Remove unneeded stuff
+cd Src/Newtonsoft.Json/bin/Release/Net45
+rm *.{xml,snk,il}
+
+# Install Json into mono directory
+mkdir -p "$PKG/usr/lib${LIBDIRSUFFIX}/mono/newtonsoft-json/"
+find . -type f -exec install -Dm644 {} "$PKG/usr/lib${LIBDIRSUFFIX}/mono/newtonsoft-json/"{} \;
+
+# Install pkg-config file
+install -Dm644 "$CWD/newtonsoft.json.pc.in" "$PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/newtonsoft.json.pc"
+
+#patch file to get it recognized
+sed -i "s,@VERSION@,$VERSION," "$PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/newtonsoft.json.pc"
+
+# Also add the slack-desk file and this slackbuild to the package
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cat <<EOF > $PKG/install/doinst.sh
+gacutil -i /usr/lib${LIBDIRSUFFIX}/mono/newtonsoft-json/Newtonsoft.Json.dll -root "/usr/lib${LIBDIRSUFFIX}/"
+EOF
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/newtonsoft-json/newtonsoft-json.info b/development/newtonsoft-json/newtonsoft-json.info
new file mode 100644
index 0000000000..8db61e8944
--- /dev/null
+++ b/development/newtonsoft-json/newtonsoft-json.info
@@ -0,0 +1,10 @@
+PRGNAM="newtonsoft-json"
+VERSION="6.0.3"
+HOMEPAGE="http://james.newtonking.com/json"
+DOWNLOAD="https://github.com/JamesNK/Newtonsoft.Json/archive/6.0.3.tar.gz"
+MD5SUM="85bbee5cf5ab22c686927ecef8c179b5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mono"
+MAINTAINER="Ronny Schmatzler"
+EMAIL="schmatzler@hirnschwund.net" \ No newline at end of file
diff --git a/development/newtonsoft-json/newtonsoft.json.pc.in b/development/newtonsoft-json/newtonsoft.json.pc.in
new file mode 100644
index 0000000000..9230c808cc
--- /dev/null
+++ b/development/newtonsoft-json/newtonsoft.json.pc.in
@@ -0,0 +1,8 @@
+prefix=/usr
+exec_prefix=${prefix}
+libdir=${exec_prefix}/lib
+
+Name: Newtonsoft.Json
+Description: A high-performance JSON framework for .NET
+Version: @VERSION@
+Libs: -r:$/usr/lib/mono/newtonsoft-json/Newtonsoft.Json.dll \ No newline at end of file
diff --git a/development/newtonsoft-json/slack-desc b/development/newtonsoft-json/slack-desc
new file mode 100644
index 0000000000..188f5f8c8f
--- /dev/null
+++ b/development/newtonsoft-json/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler----------------------------------------------------|
+newtonsoft-json: newtonsoft-json (JSON Framework for .NET)
+newtonsoft-json:
+newtonsoft-json: Json.NET is a popular high-performance JSON framework for .NET
+newtonsoft-json:
+newtonsoft-json:
+newtonsoft-json:
+newtonsoft-json:
+newtonsoft-json:
+newtonsoft-json:
+newtonsoft-json:
+newtonsoft-json: